//
// (c)2016 Sassafras Software Inc.
//

(function () {

  // simple sanity check that there is a non-empty selection
  if (!app.selection || !app.selection.length)
    return;

  return({
    // version of the object for behavior consistency
    version: 1,
    // setup object describing what we want from the user
    setup: {
      fields: [
        {
          id: "pvu",
          label: "PVU:",
          type: "long",
          default: localStorage.getItem("lastpvu"),
          required: true
        }
      ]
    },
    // proceed function to be called once input is complete
    proceed: function (params) {
      localStorage.setItem("lastpvu", params.pvu);

      // iterate through the objects in the selection
      app.selection.forEach({
        context: params,
        callback: function (obj) {
          // set the property
          obj.pvu = this.pvu;
          // save the changes
          obj.commit();
        }
      });
    }
  });

})();
